IPSW-MOUNT(1)

NAME
ipsw-mount - Mount DMG from IPSW

SYNOPSIS
ipsw mount [fs|sys|app|exc|rdisk] IPSW [flags]

DESCRIPTION
Mount DMG from IPSW

OPTIONS
-h, --help[=false]
    help for mount

--ident=""
    Identity Variant to select specific RestoreRamDisk (e.g. 'Erase', 'Upgrade', 'Recovery')

-k, --key=""
    DMG key

--lookup[=false]
    Lookup DMG keys on theapplewiki.com

-m, --mount-point=""
    Custom mount point (default: /tmp/.mount)

--pem-db=""
    AEA pem DB JSON file

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Mount the filesystem DMG from an IPSW
    $ ipsw mount fs iPhone15,2_16.5_20F66_Restore.ipsw
    # Mount the system DMG with a specific decryption key
    $ ipsw mount sys iPhone.ipsw --key "a1b2c3d4e5f6..."
    # Mount fs DMG and lookup keys from theapplewiki.com
    $ ipsw mount fs iPod5,1_7.1.2_11D257_Restore.ipsw --lookup
    # Mount dyld shared cache (exc) DMG with AEA pem DB
    $ ipsw mount exc iPhone.ipsw --pem-db /path/to/pem.json
    # Mount to a custom mount point
    $ ipsw mount fs iPhone.ipsw --mount-point /mnt/ios-filesystem
    # Mount a RestoreRamDisk by identity (defaults to the first if not specified)
    $ ipsw mount rdisk iPhone.ipsw --ident Erase

SEE ALSO
ipsw(1)

HISTORY
24-Oct-2025 Auto generated by spf13/cobra